Thread (84 messages) 84 messages, 5 authors, 2018-07-11

Re: [dpdk-stable] [PATCH v13 6/6] devtools: expand meson cross compiling test coverage

From: Thomas Monjalon <hidden>
Date: 2018-06-27 21:25:52

Hi,

25/06/2018 04:49, Gavin Hu:
quoted hunk ↗ jump to hunk
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
 # enable cross compilation if gcc cross-compiler is found
+c=aarch64-linux-gnu-gcc
+if ! command -v $c >/dev/null 2>&1 ; then
+	echo "## ERROR: $c is missing, cross compiling is aborting..."
Not having a cross compiler should not be an error.
+	return
Please, no return, because we could add more compilation tests below,
including other cross-compilations.
+fi
+
+# compile the general v8a also for clang to increase coverage
+export CC="ccache clang"
+build build-arm64-host-clang --cross-file config/arm/arm64_armv8_linuxapp_gcc
+
 for f in config/arm/arm*gcc ; do
-	c=aarch64-linux-gnu-gcc
-	if ! command -v $c >/dev/null 2>&1 ; then
-		continue
-	fi
-	build build-$(basename $f | tr '_' '-' | cut -d'-' -f-2) --cross-file $f
+	export CC="ccache gcc"
+	build build-$(basename $f | tr '_' '-' | cut -d'-' -f-2) \
+		--cross-file $f
 done
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help